$Id: History,v 1.96 2010/06/07 05:40:45 perl Exp $
-------------------------------------------------------------------

     =========================================================
     Geant4 - an Object-Oriented Toolkit for Simulation in HEP
     =========================================================

                    TestEm1 History file
                    --------------------
This file should be used by the G4 example coordinator to briefly
summarize all major modifications introduced in the code and keep
track of all tags.

     ----------------------------------------------------------
     * Reverse chronological order (last date on top), please *
     ----------------------------------------------------------
     
06-06-10 J.Perl (testem1-V09-03-02)
- Remove unused variable in EventAction

03-06-10 J.Perl (testem1-V09-03-01)
- Updated vis usage 
     
06-04-10 mma (testem1-V09-03-00)
- RunAction: replace ProcessCount by map<string, int> 
- TestEm1.cc : introduction of G4UIExecutive
     
13-11-09 mma (testem1-V09-02-01)
- PhysListEmStandard.cc (local): eMultipleScattering -> UrbanMscModel93
     
15-09-09 mma (testem1-V09-02-00)
- PhysicsList.cc :
  - Substituted obsolete low-energy physics builders by builders from
    the physics_list library;
  - renamed "standard" -> "local"; "emstandard" -> "emstandard_opt0" 
- updated README and macro files  
     
16-11-08 mma (testem1-V09-01-08)
- Em options: 20bins/decade  LinLossLimit=default=0.01
     
31-10-08 mma (testem1-V09-01-07)
- Use G4hMultipleScattering for muons and protons
- Modify EM options 
     
23-10-08 mma (testem1-V09-01-06)
- update PhysListEmStandard and README
     
12-09-08 mma (testem1-V09-01-05)
- HistoManager: change default histos format
- add plotHisto.C and plotHisto.kumac
     
12-06-08 mma (testem1-V09-01-04)
- Rename Install.aida to InstallAida.txt
 
12-06-08 mma (testem1-V09-01-03)
- Remove AIDA from GNUmakefile 
    
05-05-08 mma (testem1-V09-01-02)
- PhysListEmStandard : add spline option for physics tables
- README : update Aida informations 
    
07-04-08 mma (testem1-V09-01-01)
- PhysListEmStandard : add G4eMultipleScattering; complete EmOptions
- HistoManager::saveAscii() : redefinition of binEdge

17-12-07 mma (testem1-V09-01-00) 
- HistoManager : protect creation of ascii file
     
12-11-07 mma (testem1-V09-00-01) 
- HistoManager/HistoMessenger : print selected histos on ascii file

22-07-07 V.Ivant (testem1-V09-00-00)
- add material CO2 10^-6 atm

21-06-07 mma (testem1-V08-03-02)
- make visualization only in interactive mode
     
20-06-07 mma (testem1-V08-03-01)
- PhysListEmStandard options completed
- add erange.mac for e- 

23-05-07 V.Ivant (testem1-V08-03-00)
- use G4EmProcessOptions to define bremsstrahlung threshold energy 
     
19-10-06 mma (testem1-V08-01-00) 
- GNUmakefile : LOADLIBS
- remove PhysicsLists 52 and 71
     
19-05-06 mma (testem1-V08-00-04)
- update README
     
27-03-06 mma (testem1-V08-00-03)
- PhysicsList: new functions AddDecay(), AddStepMax()
     
27-03-06 mma (testem1-V08-00-02)
- TestEm1.in : migration mum -> um
- name brem -> eBrem
      
26-01-06 mma (testem1-V08-00-01)
- refresh all geant3 macros
- change printing format in EndOfRun 
    
25-01-06 mma (testem1-V08-00-00)
- rename csdaRange -> trueRange
- histograms for primary particle only
- refresh all macros. Change names
- GetCSDARange() in EndOfRun    
     
19-01-06 mma 
- add PhysListEmLivermore and PhysListEmPenelope

06-12-05 Gabriele Cosmo
- Trivial changes for support of CLHEP-2.0.X series.

22-11-05 mma (testem1-V07-01-02)
- update README for OpenScientist
     
14-11-05 Gabriele Cosmo (testem1-V07-01-01)
- Migration to <sstream> for HistoMessenger.

04-10-05 mma (testem1-V07-01-00)
- create PhysListEmG4v71 (g4v71) for G4MultipleScattering71
     
01-06-05 mma (testem1-V07-00-02)
- PhysListEmG4v52 : old photon processes marked as 52 (and eplusAnnihilation) 
- HistoManager : option "--noErrors" for hbook

3rd May 2005  John Allison  (examples-V07-00-03)
- Replaced vis manager with G4VisExecutive.

18-03-05 V.Ivant (testem1-V07-00-01)
- PhysListEmStandard : use G4eBremsstrahlung from the standard, 
- remove G4eBremsstrahlungCMS
     
15-03-05 mma
- remove He3 from predefined particles.
- PhysListEmStandard : treat Alpha as GenericIon
     
31-01-05 mma (testem1-V07-00-00)
- HistoManager : - put a protection for the creation of analysis factory;
                 - file extension is fileType;
- HistoMessenger : new command setFileOption 
    
07-14-04 mma (testem1-V06-02-07)
- PhysListEmStandard : threshold for G4BremsstrahlungCMS at 10 GeV

02-12-04 V.Ivant (testem1-V06-02-06)
- Migration to cmath
     
22-11-04 mma (testem1-V06-02-05)
- change in call G4EmCaculator. Need utils-V06-02-16

01-11-04 V.Ivanchenko (testem1-V06-02-04)
- migrade to new interface to ParticleChange in G4eBremsstrahlungCMS
     
20-09-04 mma (testem1-V06-02-03)
- do not delete Analysisfactory (for Jaida)
     
15-09-04 mma(testem1-V06-02-02)
- define correctly all UI subdirectories.
- modifs in HistoManager and Messenger for hbook,root,XML
     
03-08-04 mma (testem1-V06-02-01)
- compute and print CSDA range from G4EmCalculator.
- set default vertex at left side of the box.
     
20-07-04 mma (testem1-V06-02-00)
- introduce HistoManager as in testem5-V06-01-04
- compute and print CSDA and projected range. Macro range.mac
      
09-06-04 mma (testem1-V06-01-03)
- PhysicsLists: remove Particles and General 
     
13-04-04 mma (testem1-V06-01-02)
- EmPhysicsList: set G4eBremsstrahlungCMS as default

05-04-04 V.Ivan. (testem1-V06-01-01)
- fix G4eBremsstrahlungCMS
     
31-03-04 mma (testem1-V06-01-00)
- remove ROOT histos
     
15-03-04 mma (testem1-V06-00-00)
- example of histograms with ROOT: USE_ROOT

25-11-03 V.Ivanchenko (testem1-V05-02-06)
- Fix geometry (G.Cosmo)
     
07-11-03 mma (testem1-V05-02-05)
- use BestUnit in RunAction
 
28-10-03 V.Ivanchenko (testem1-V05-02-04)
- Minor cleanup in G4eBremsstrahlungCMS
- Add printout of total energy deposit
- Remove compilation warnings
     
24-10-03 mma (testem1-V05-02-03)
- PhysListEmStandard: AddProcess(Bremsstrahlung,-1,3,3) ..etc..
- BremsstrahlungCMS given as an example, commented out

20-10-03 V.Ivanchenko (testem1-V05-02-02)
- Add process G4eBremsstrahlungCMS
     
06-10-03 mma (testem1-V05-02-01)
- Class EmModel renamed G4v52. All macros updated
- G4NOHIST replaced by G4ANALYSIS_USE
- cosmetics in material definitions
- suppression of Em1 in all class names

18-09-03 V.Ivanchenko (testem1-V05-02-00)
- Complete migration to model EM physics

18-06-03 G.Cosmo (testem1-V05-01-03)
- Em1RunAction.cc: removed usage of G4USE_STD_NAMESPACE after
  migration from G4std.

03-06-03 V.Ivanchenko (testem1-V05-01-02)
- Fix compilation warnings

15-05-03 V.Ivanchenko (testem1-V05-01-01)
- Proper deletion of old geometry when it is updated

09-05-03 V.Ivant (testem1-V05-01-00)
- change updated command

27-03-03 mma (testem1-V05-00-05)
- modular physics list

26-03-03 V.Ivant (testem1-V05-00-04)

11-03-03 V.Ivant (testem1-V05-00-03)
- Remove all old interfaces to cuts
- Add definition of mean excitation energy for water

06-03-03 mma (testem1-V05-00-02)
- PhysicsList::SetCuts : suppress cutForProton

20-02-03 V.Ivant (testem1-V05-00-01)
- Migrade to cut per region

12-02-03 mma (testem1-V05-00-00)
- DetectorConstruction: change volume name

11-12-02 mma (testem1-V04-01-01)
- migration to AIDA 3.0
- UI commands under directory /testem/

05-12-02 cosmo (testem1-V04-01-00)
- Fix in runAction for porting on gcc-3.2.
    
05-06-02 mma (testem1-V04-00-03)
- do not delete histos in destructor of RunAction
     
31-05-02 mma (testem1-V04-00-02)
- old histograming package clhep/hist replaced by AIDA 2.2/anaphe. See README
     
08-03-02 mma (testem1-V04-00-01)
- PhysicsList: unifomisation of the setG(E)Cut commands
     
06-02-02 mma (testem1-V04-00-00)
     
06-12-01  mma
- In PrimaryGeneratorAction, possibility to fix the vertex at front face, 
  and to randomize the beam spot.
- command /gun/rndm in PrimaryGeneratorMessenger
- similar functionality in geant3: gukine.F
- change output precision in RunAction (+uglast.F)
     
29-11-01  mma (testem1-V03-02-02) 
- EventAction: DrawTrack "none"
- small change in vis.mac
- suppression of the rndm commands, now managed by G4RunManager: 
  --> RunAction, EventAction. suppression of RunActionMessenger
    
31-10-01 mma (testem1-V03-02-01)
- PhysicsListMessenger: commands CutE, CutG, CutP avaiblable in PreInit
- in all macros: set cuts before run/initialize
       
26-10-01 mma (testem1-V03-02-00)
- mods in TestEm1.cc: the initialisation and vis initialisation are
  not done gy default. --> inserted /run/initialize in all macros.
- To get visualisation: > /control/execute vis.mac  (new vis commands)
- 80 columns everywhere  
     
19-10-01 Steve O'Neale (examples-V03-02-00)
- Update reference output

27-03-01 mma (testem1-V03-00-05)
- set cppflag G4NOHIST = true in gnumakefile
	  	       
08-03-01 Hisaya (testem1-V03-00-04)
- adapted ProcessesCount to STL
	       
21-02-01 mma (testem1-V03-00-03)
- hbook histograms restored
	       
20-02-01 mma (testem1-V03-00-02)
- verbose stepping adapted for STL
- save rndm at begin of event     
     
07-12-00 mma (testem1-V02-00-03 & testem-noHist)
- remove hbook histograms: GNUmakefile,runAction,trackingAction,steppingAction
				   
06-12-00 mma (testem1-V02-00-02 & testem-withHist)
- update of init.mac for new vis commands.
- G4UItcsh in the main()
	  				        
24-11-00 Steve O'Neale (tagset210) (testem1-V02-00-01)
- Update test output Change in processes below ~ 5 per cent
  eIoni and hIoni  min.delta energy(keV) and energy cut table

13-11-00 G.Cosmo  (testem1-V02-00-00)
- Fixed memory leak in Em1RunAction: added call to clearAndDestroy()
  in EndOfRunAction() to clean ProcCounter vector.

17-06-00 J.Allison  (testem1-V01-00-00)
- Updated TestEm1.out for geant4-01-01-ref-06.

21-01-00 cppflag G4NOHIST to protect hbook histograms.
          
11-10-99 moved from: source/processes/electromagnetic/test
         to: examples/extended/electromagnetic
     
09-08-99 Commands for save/read Rndm status 
      
17-06-99 added histogramming facility
     
10-05-99 user's actions adapted to geant4-00-ref-04
     
03-12-98 subdirectory geant3 which contains the geant3 equivalent
         example.
          
24.11.98 due to new computation of SetCut for electron, the cut in range
         for e-/+ has been modified in init.mac and run10.mac (beta03-00)
     
27.10.98 interactive command for setting StepFunction: deemax + stmin.
         modifs in setxxCut functions (Hisaya).
         Count occurence of processes.
         Now TestEm1 is equivalent to g3-testem1
         Both can be run in batch with reference files: 
         run1.mac (g4), run1.dat (g3).
               
19.10.98 Moved in subdirectory electromagnetic/test/TestEm1.
         Interactive commands in PhysicsList for setting cuts.
              
14.09.98 Created, Michel Maire
     
